Results 1 to 2 of 2

Thread: GTA: LCS requiring 2.0

  
  1. #1
    VickFan is offline -Hacks Neophyte
    Join Date
    Oct 2005
    Posts
    53
    Rep Power
    14

    Default

    I've seen posts speculating that you need to update to 2.0 to playGTA but not from anyone that actually has the game. So can someone that actually has the UMD tell me the facts. I want to buy it. but not if I have to keep updating to play then downgrade to play ISO's.


  2. #2
    lord is offline Senior Member -Hacks Veteran
    Join Date
    Sep 2005
    Location
    Next door
    Posts
    1,109
    Rep Power
    15

    Default

    U MUSt UPDATE In the famous words of Mahan .....case closed

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •